function createReadOnlySet<T>(...e: T[]): ReadonlySet<T> {
    let s: Set<T> = new Set();
    e.forEach((value: T, index: number) => {
        s.add(value)
    });
    return s;
}

let rs: ReadonlySet<number> = createReadOnlySet<number>(1, 3, 5);
console.log(rs.entries());
console.log(rs.has(5));