let promise: Promise<number> = new Promise<number>(function (resolve, reject) {
    console.log('promise executor function is called');
    setTimeout(function () { //just add some delay
        if (Math.random() > 0.2) {
            resolve(100);
        } else {
            reject("Got error")
        }
    }, 3000);
});

console.log('-- calling then --');
promise.then(
    function (result: number) {
        console.log("success result: " + result);
    },
    function (error: any) {
        console.log("error: " + error)
    });
console.log('-- after then --');